OpenGL-2.9.2.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.GL.StringQueries

Description

This module corresponds to parts of section 6.1.5 (String Queries) of the OpenGL 3.2 specs.

Synopsis

- vendor :: GettableStateVar String
- renderer :: GettableStateVar String
- glVersion :: GettableStateVar String
- glExtensions :: GettableStateVar [String]
- shadingLanguageVersion :: GettableStateVar String
- majorMinor :: GettableStateVar String -> GettableStateVar (Int, Int)
- data ContextProfile'
  - = CoreProfile'
  - | CompatibilityProfile'
- contextProfile :: GettableStateVar [ContextProfile']

# Documentation

vendor :: GettableStateVar String

renderer :: GettableStateVar String

glVersion :: GettableStateVar String

glExtensions :: GettableStateVar [String]

shadingLanguageVersion :: GettableStateVar String

majorMinor :: GettableStateVar String -> GettableStateVar (Int, Int)

A utility function to be used with e.g. `glVersion` or `shadingLanguageVersion`, transforming a variable containing a string of the form major.minor[optional rest] into a variable containing a numeric major/minor version. If the string is malformed, which should never happen with a sane OpenGL implementation, it is transformed to `(-1,-1)`.

data ContextProfile'

Constructors

CoreProfile' |
CompatibilityProfile' |

Instances

Eq ContextProfile' |
Ord ContextProfile' |
Show ContextProfile' |

contextProfile :: GettableStateVar [ContextProfile']